com.sun.source.tree

## Interface LambdaExpressionTree

- All Superinterfaces:
    ExpressionTree, Tree

      @Exported
      public interface LambdaExpressionTree
      extends ExpressionTree

  A tree node for a lambda expression. For example:

         ()->{}
         (List<String> ls)->ls.size()
         (x,y)-> { return x + y; }

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LambdaExpressionTree.BodyKind` Lambda expressions come in two forms: (i) expression lambdas, whose body is an expression, and (ii) statement lambdas, whose body is a block

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree` | `getBody()`
    `LambdaExpressionTree.BodyKind` | `getBodyKind()`
    `List<? extends VariableTree>` | `getParameters()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getParameters

          List<? extends VariableTree> getParameters()

    - #### getBody

          Tree getBody()

    - #### getBodyKind

          LambdaExpressionTree.BodyKind getBodyKind()

Copyright © 2005, 2018, Oracle and/or its affiliates. All rights reserved.